<?php
try {
    $db_file = 'kartoteka.db';

    // otwórz połączenie z bazą SQLite lub utwórz nowy plik dla bazy
    $db_pdo = new PDO('sqlite:'.__DIR__.'/'.$db_file);
    
    // włącz obsługę wyjątków dla obsługi interfejsu PDO
    $db_pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    print "STATYSTYKA TABELI Z KSIĄŻKAMI".PHP_EOL;

    // wyślij zapytanie do bazy i pobierz wyniki
    $wynik = $db_pdo->query("
    SELECT 
    count(*) AS liczba,
    SUM(stron) AS suma,
    AVG(stron) AS srednia,
    MIN(rok) AS min,
    MAX(rok) AS max
    FROM ksiazki;
    ")->fetch();
    
    $db_pdo = null; // zamknij połączenie z bazą

    // wydrukuj wyniki
    printf(
        "Liczba książek w tabeli: %d".PHP_EOL.
        "Suma wszystkich stron: %d".PHP_EOL.
        "Średnia liczba stron w książce: %d".PHP_EOL.
        "Najstarsze wydanie: %d rok".PHP_EOL.
        "Najnowsze wydanie: %d rok".PHP_EOL,
        $wynik['liczba'], $wynik['suma'], $wynik['srednia'],
        $wynik['min'], $wynik['max']
    );
} catch (PDOException $e) {
    print "Błąd!: " . $e->getMessage();
    die();
}